Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3Authority

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3Authority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRIAuthority, XRISyntaxComponent

    public class XRI3Authority

extends XRI3SyntaxComponent
implements XRIAuthority

See Also:
  Serialized Form

Constructor Summary
`XRI3Authority(java.lang.String string)`
`XRI3Authority(XRIAuthority xriAuthority, XRISubSegment xriSubSegment)`

Method Summary
`XRISubSegment` | `getFirstSubSegment()`
`XRISubSegment` | `getLastSubSegment()`
`int` | `getNumSubSegments()`
`Rule` | `getParserObject()`
`XRISubSegment` | `getSubSegment(int i)`
`java.util.List` | `getSubSegments()`
`boolean` | `startsWith(XRISubSegment[] subSegments)`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toIRINormalForm, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toIRINormalForm, toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3Authority

    public XRI3Authority(java.lang.String string)
                  throws ParserException

Throws:
  `ParserException`

### XRI3Authority

    public XRI3Authority(XRIAuthority xriAuthority,
                         XRISubSegment xriSubSegment)
                  throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### getSubSegments

    public java.util.List getSubSegments()

  Specified by:
    `getSubSegments` in interface `XRIAuthority`

### getNumSubSegments

    public int getNumSubSegments()

  Specified by:
    `getNumSubSegments` in interface `XRIAuthority`

### getSubSegment

    public XRISubSegment getSubSegment(int i)

  Specified by:
    `getSubSegment` in interface `XRIAuthority`

### getFirstSubSegment

    public XRISubSegment getFirstSubSegment()

  Specified by:
    `getFirstSubSegment` in interface `XRIAuthority`

### getLastSubSegment

    public XRISubSegment getLastSubSegment()

  Specified by:
    `getLastSubSegment` in interface `XRIAuthority`

### startsWith

    public boolean startsWith(XRISubSegment[] subSegments)

  Specified by:
    `startsWith` in interface `XRIAuthority`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.